## qxmpp 1.5.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Niels Ole Salscheider <niels_ole@salscheider-online.de>
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.7)
project(qxmpp VERSION 1.5.5)

set(SO_VERSION 4)

# C++ standard settings:
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake/modules")

# Qt
if(NOT DEFINED QT_VERSION_MAJOR)
    find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core Network Xml)
endif()
message("-- Choosing Qt ${QT_VERSION_MAJOR}")
find_package(Qt${QT_VERSION_MAJOR} 5.9.2 REQUIRED COMPONENTS Core Network Xml)

# QCA (optional)
find_package(Qca-qt${QT_VERSION_MAJOR} QUIET)
if(${QT_VERSION_MAJOR} EQUAL 6)
    find_package(Qt6Core5Compat)
endif()

include(GNUInstallDirs)

option(BUILD_SHARED "Build shared library" ON)
option(BUILD_TESTS "Build tests." ON)
option(BUILD_INTERNAL_TESTS "Build internal tests." OFF)
option(BUILD_DOCUMENTATION "Build API documentation." OFF)
option(BUILD_EXAMPLES "Build examples." ON)
option(BUILD_OMEMO "Build the OMEMO module" OFF)
option(WITH_GSTREAMER "Build with GStreamer support for Jingle" OFF)
option(WITH_QCA "Build with QCA for OMEMO or encrypted file sharing" ${Qca-qt${QT_VERSION_MAJOR}_FOUND})

set(QXMPP_TARGET QXmppQt${QT_VERSION_MAJOR})
set(QXMPPOMEMO_TARGET QXmppOmemoQt${QT_VERSION_MAJOR})

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQURL_NO_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_FOREACH
    -DQT_NO_KEYWORDS
)

if(BUILD_OMEMO)
    add_definitions(-DBUILD_OMEMO)

    # libomemo-c
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(OmemoC REQUIRED IMPORTED_TARGET libomemo-c)

    # QCA
    if(NOT WITH_QCA)
        message(FATAL_ERROR "OMEMO requires QCA (Qt Cryptographic Architecture)")
    endif()
endif()

if(WITH_QCA)
    add_definitions(-DWITH_QCA)
endif()

add_subdirectory(src)

if(BUILD_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()

if(BUILD_DOCUMENTATION)
    add_subdirectory(doc)
endif()

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

include(CMakePackageConfigHelpers)

# Normal QXmppQt5/6 package
configure_package_config_file(
    QXmppConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${QXMPP_TARGET}Config.cmake
    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${QXMPP_TARGET}"
)

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/${QXMPP_TARGET}ConfigVersion.cmake
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY SameMajorVersion
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${QXMPP_TARGET}Config.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/${QXMPP_TARGET}ConfigVersion.cmake
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${QXMPP_TARGET}"
    COMPONENT Devel
)

# QXmpp package with Qt version autodetect
configure_package_config_file(
    cmake/QXmppQtAutoConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/QXmppConfig.cmake
    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/QXmpp"
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/QXmppConfig.cmake
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/QXmpp"
    COMPONENT Devel
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/cmake/QXmppQtAutoConfigVersion.cmake
    RENAME QXmppConfigVersion.cmake
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/QXmpp"
    COMPONENT Devel
)

# Generate QXmppQt5/6.pc
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qxmpp.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${QXMPP_TARGET}.pc @ONLY)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${QXMPP_TARGET}.pc
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
    COMPONENT Devel
)

# "qxmpp.pc" for backwards-compatibility
if(QT_VERSION_MAJOR EQUAL 5)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qxmpp_legacy.pc.in ${CMAKE_CURRENT_BINARY_DIR}/qxmpp.pc @ONLY)
    install(
        FILES ${CMAKE_CURRENT_BINARY_DIR}/qxmpp.pc
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
        COMPONENT Devel
    )
endif()

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Niels Ole Salscheider <niels_ole@salscheider-online.de>
#
# SPDX-License-Identifier: CC0-1.0

find_package(Doxygen REQUIRED)

if(NOT DOXYGEN_FOUND)
    message(FATAL_ERROR "Doxygen is needed to build the documentation.")
endif()

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    @ONLY
)

add_custom_target(
    doc ALL
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generate API documentation with Doxygen"
    VERBATIM
)

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html DESTINATION ${CMAKE_INSTALL_DOCDIR})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Niels Ole Salscheider <niels_ole@salscheider-online.de>
#
# SPDX-License-Identifier: CC0-1.0

include(GenerateExportHeader)

set(INSTALL_HEADER_FILES
    # Base
    base/QXmppArchiveIq.h
    base/QXmppBindIq.h
    base/QXmppBitsOfBinaryContentId.h
    base/QXmppBitsOfBinaryData.h
    base/QXmppBitsOfBinaryDataList.h
    base/QXmppBitsOfBinaryIq.h
    base/QXmppBookmarkSet.h
    base/QXmppByteStreamIq.h
    base/QXmppDataForm.h
    base/QXmppDataFormBase.h
    base/QXmppDiscoveryIq.h
    base/QXmppE2eeMetadata.h
    base/QXmppEncryptedFileSource.h
    base/QXmppElement.h
    base/QXmppEntityTimeIq.h
    base/QXmppError.h
    base/QXmppExtension.h
    base/QXmppFileMetadata.h
    base/QXmppFileShare.h
    base/QXmppFutureUtils_p.h
    base/QXmppGeolocItem.h
    base/QXmppGlobal.h
    base/QXmppHash.h
    base/QXmppHttpFileSource.h
    base/QXmppHttpUploadIq.h
    base/QXmppIbbIq.h
    base/QXmppIq.h
    base/QXmppJingleIq.h
    base/QXmppLogger.h
    base/QXmppMamIq.h
    base/QXmppMessage.h
    base/QXmppMessageReaction.h
    base/QXmppMixInfoItem.h
    base/QXmppMixInvitation.h
    base/QXmppMixIq.h
    base/QXmppMixParticipantItem.h
    base/QXmppMucIq.h
    base/QXmppNonza.h
    base/QXmppNonSASLAuth.h
    base/QXmppOutOfBandUrl.h
    base/QXmppPingIq.h
    base/QXmppPresence.h
    base/QXmppPromise.h
    base/QXmppPubSubAffiliation.h
    base/QXmppPubSubEvent.h
    base/QXmppPubSubIq_p.h
    base/QXmppPubSubBaseItem.h
    base/QXmppPubSubMetadata.h
    base/QXmppPubSubNodeConfig.h
    base/QXmppPubSubPublishOptions.h
    base/QXmppPubSubSubscribeOptions.cpp
    base/QXmppPubSubSubscription.h
    base/QXmppPubSubSubAuthorization.h
    base/QXmppPushEnableIq.h
    base/QXmppRegisterIq.h
    base/QXmppResultSet.h
    base/QXmppRosterIq.h
    base/QXmppRpcIq.h
    base/QXmppSendResult.h
    base/QXmppSessionIq.h
    base/QXmppSocks.h
    base/QXmppStanza.h
    base/QXmppStartTlsPacket.h
    base/QXmppStream.h
    base/QXmppStreamFeatures.h
    base/QXmppStun.h
    base/QXmppTask.h
    base/QXmppThumbnail.h
    base/QXmppTrustMessageElement.h
    base/QXmppTrustMessageKeyOwner.h
    base/QXmppTrustMessages.h
    base/QXmppUserTuneItem.h
    base/QXmppUtils.h
    base/QXmppVCardIq.h
    base/QXmppVersionIq.h
    base/compat/QXmppPubSubIq.h
    base/compat/QXmppPubSubItem.h

    # Client
    client/QXmppArchiveManager.h
    client/QXmppAtmManager.h
    client/QXmppAtmTrustMemoryStorage.h
    client/QXmppAtmTrustStorage.h
    client/QXmppAttentionManager.h
    client/QXmppBookmarkManager.h
    client/QXmppCarbonManager.h
    client/QXmppCarbonManagerV2.h
    client/QXmppClient.h
    client/QXmppClientExtension.h
    client/QXmppConfiguration.h
    client/QXmppDiscoveryManager.h
    client/QXmppE2eeExtension.h
    client/QXmppEntityTimeManager.h
    client/QXmppFileSharingManager.h
    client/QXmppFileSharingProvider.h
    client/QXmppHttpFileSharingProvider.h
    client/QXmppHttpUploadManager.h
    client/QXmppInvokable.h
    client/QXmppIqHandling.h
    client/QXmppMamManager.h
    client/QXmppMessageHandler.h
    client/QXmppMessageReceiptManager.h
    client/QXmppMucManager.h
    client/QXmppOutgoingClient.h
    client/QXmppRegistrationManager.h
    client/QXmppPubSubEventHandler.h
    client/QXmppPubSubManager.h
    client/QXmppRemoteMethod.h
    client/QXmppRosterManager.h
    client/QXmppRpcManager.h
    client/QXmppSendStanzaParams.h
    client/QXmppTransferManager.h
    client/QXmppTransferManager_p.h
    client/QXmppTrustLevel.h
    client/QXmppTrustManager.h
    client/QXmppTrustMemoryStorage.h
    client/QXmppTrustSecurityPolicy.h
    client/QXmppTrustStorage.h
    client/QXmppUploadRequestManager.h
    client/QXmppUserTuneManager.h
    client/QXmppUserLocationManager.h
    client/QXmppVCardManager.h
    client/QXmppVersionManager.h

    # Server
    server/QXmppDialback.h
    server/QXmppIncomingClient.h
    server/QXmppIncomingServer.h
    server/QXmppOutgoingServer.h
    server/QXmppPasswordChecker.h
    server/QXmppServer.h
    server/QXmppServerExtension.h
    server/QXmppServerPlugin.h
)

set(SOURCE_FILES
    # Base
    base/QXmppArchiveIq.cpp
    base/QXmppBindIq.cpp
    base/QXmppBitsOfBinaryContentId.cpp
    base/QXmppBitsOfBinaryData.cpp
    base/QXmppBitsOfBinaryIq.cpp
    base/QXmppBookmarkSet.cpp
    base/QXmppByteStreamIq.cpp
    base/QXmppConstants.cpp
    base/QXmppDataForm.cpp
    base/QXmppDataFormBase.cpp
    base/QXmppDiscoveryIq.cpp
    base/QXmppElement.cpp
    base/QXmppEncryptedFileSource.cpp
    base/QXmppEntityTimeIq.cpp
    base/QXmppError.cpp
    base/QXmppFileMetadata.cpp
    base/QXmppFileShare.cpp
    base/QXmppGeolocItem.cpp
    base/QXmppGlobal.cpp
    base/QXmppHash.cpp
    base/QXmppHashing.cpp
    base/QXmppHttpFileSource.cpp
    base/QXmppHttpUploadIq.cpp
    base/QXmppIbbIq.cpp
    base/QXmppIq.cpp
    base/QXmppJingleIq.cpp
    base/QXmppLogger.cpp
    base/QXmppMamIq.cpp
    base/QXmppMessage.cpp
    base/QXmppMessageReaction.cpp
    base/QXmppMixInvitation.cpp
    base/QXmppMixIq.cpp
    base/QXmppMixItems.cpp
    base/QXmppMucIq.cpp
    base/QXmppNonza.cpp
    base/QXmppNonSASLAuth.cpp
    base/QXmppOutOfBandUrl.cpp
    base/QXmppPacket.cpp
    base/QXmppPingIq.cpp
    base/QXmppPresence.cpp
    base/QXmppPubSubAffiliation.cpp
    base/QXmppPubSubEvent.cpp
    base/QXmppPubSubIq.cpp
    base/QXmppPubSubBaseItem.cpp
    base/QXmppPubSubMetadata.cpp
    base/QXmppPubSubNodeConfig.cpp
    base/QXmppPubSubSubscribeOptions.cpp
    base/QXmppPubSubSubscription.cpp
    base/QXmppPubSubSubAuthorization.cpp
    base/QXmppPushEnableIq.cpp
    base/QXmppRegisterIq.cpp
    base/QXmppResultSet.cpp
    base/QXmppRosterIq.cpp
    base/QXmppRpcIq.cpp
    base/QXmppSasl.cpp
    base/QXmppSessionIq.cpp
    base/QXmppSocks.cpp
    base/QXmppStanza.cpp
    base/QXmppStartTlsPacket.cpp
    base/QXmppStream.cpp
    base/QXmppStreamFeatures.cpp
    base/QXmppStreamInitiationIq.cpp
    base/QXmppStreamManagement.cpp
    base/QXmppStun.cpp
    base/QXmppTask.cpp
    base/QXmppThumbnail.cpp
    base/QXmppTrustMessages.cpp
    base/QXmppUserTuneItem.cpp
    base/QXmppUtils.cpp
    base/QXmppVCardIq.cpp
    base/QXmppVersionIq.cpp
    base/compat/QXmppPubSubIq.cpp
    base/compat/QXmppPubSubItem.cpp

    # Client
    client/QXmppArchiveManager.cpp
    client/QXmppAtmManager.cpp
    client/QXmppAtmTrustMemoryStorage.cpp
    client/QXmppAtmTrustStorage.cpp
    client/QXmppAttentionManager.cpp
    client/QXmppBookmarkManager.cpp
    client/QXmppCarbonManager.cpp
    client/QXmppCarbonManagerV2.cpp
    client/QXmppClient.cpp
    client/QXmppClientExtension.cpp
    client/QXmppConfiguration.cpp
    client/QXmppDiscoveryManager.cpp
    client/QXmppE2eeExtension.cpp
    client/QXmppEntityTimeManager.cpp
    client/QXmppFileSharingManager.cpp
    client/QXmppHttpFileSharingProvider.cpp
    client/QXmppHttpUploadManager.cpp
    client/QXmppInternalClientExtension.cpp
    client/QXmppInvokable.cpp
    client/QXmppIqHandling.cpp
    client/QXmppMamManager.cpp
    client/QXmppMessageReceiptManager.cpp
    client/QXmppMucManager.cpp
    client/QXmppOutgoingClient.cpp
    client/QXmppRosterManager.cpp
    client/QXmppRegistrationManager.cpp
    client/QXmppPubSubManager.cpp
    client/QXmppRemoteMethod.cpp
    client/QXmppRpcManager.cpp
    client/QXmppSendStanzaParams.cpp
    client/QXmppTlsManager.cpp
    client/QXmppTransferManager.cpp
    client/QXmppTrustManager.cpp
    client/QXmppTrustMemoryStorage.cpp
    client/QXmppTrustStorage.cpp
    client/QXmppUploadRequestManager.cpp
    client/QXmppUserLocationManager.cpp
    client/QXmppUserTuneManager.cpp
    client/QXmppVCardManager.cpp
    client/QXmppVersionManager.cpp

    # Server
    server/QXmppDialback.cpp
    server/QXmppIncomingClient.cpp
    server/QXmppIncomingServer.cpp
    server/QXmppOutgoingServer.cpp
    server/QXmppPasswordChecker.cpp
    server/QXmppServer.cpp
    server/QXmppServerExtension.cpp
    server/QXmppServerPlugin.cpp
)

if(BUILD_SHARED)
    add_library(${QXMPP_TARGET} SHARED ${SOURCE_FILES})
else()
    add_library(${QXMPP_TARGET} STATIC ${SOURCE_FILES})
endif()

set_target_properties(${QXMPP_TARGET} PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${SO_VERSION}
    EXPORT_NAME QXmpp
)

target_include_directories(${QXMPP_TARGET}
    PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/base>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/client>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/server>
    $<INSTALL_INTERFACE:include/${QXMPP_TARGET}>
    PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR}
)

target_link_libraries(${QXMPP_TARGET}
    PUBLIC
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::Xml
)

if(WITH_GSTREAMER)
    find_package(GStreamer REQUIRED)
    find_package(GLIB2 REQUIRED)
    find_package(GObject REQUIRED)

    set(INSTALL_HEADER_FILES
        ${INSTALL_HEADER_FILES}
        client/QXmppCall.h
        client/QXmppCallManager.h
        client/QXmppCallStream.h
    )

    target_sources(${QXMPP_TARGET}
        PRIVATE
        client/QXmppCall.cpp
        client/QXmppCallManager.cpp
        client/QXmppCallStream.cpp
    )

    target_link_libraries(${QXMPP_TARGET}
        PRIVATE
        ${GLIB2_LIBRARIES}
        ${GOBJECT_LIBRARIES}
        ${GSTREAMER_LIBRARY}
    )

    target_include_directories(${QXMPP_TARGET}
        PRIVATE
        ${GLIB2_INCLUDE_DIR}
        ${GOBJECT_INCLUDE_DIR}
        ${GSTREAMER_INCLUDE_DIRS}
    )
endif()

if(BUILD_OMEMO)
    # required to be used in QXmppMessage
    target_sources(${QXMPP_TARGET} PRIVATE base/QXmppOmemoDataBase.cpp)
endif()

if(WITH_QCA)
    target_sources(${QXMPP_TARGET} PRIVATE client/QXmppEncryptedFileSharingProvider.cpp client/QXmppFileEncryption.cpp client/QcaInitializer.cpp)
    set(INSTALL_HEADER_FILES ${INSTALL_HEADER_FILES} client/QXmppEncryptedFileSharingProvider.h)
    target_link_libraries(${QXMPP_TARGET} PRIVATE qca-qt${QT_VERSION_MAJOR})
endif()

# qxmpp_export.h generation
if(BUILD_SHARED)
    set(QXMPP_BUILD_SHARED true)
else()
    set(QXMPP_BUILD_SHARED false)
endif()

set(QXMPP_CUSTOM_EXPORT_CONTENT "
#define QXMPP_BUILD_SHARED ${QXMPP_BUILD_SHARED}
#define QXMPP_VERSION_MAJOR ${PROJECT_VERSION_MAJOR}
#define QXMPP_VERSION_MINOR ${PROJECT_VERSION_MINOR}
#define QXMPP_VERSION_PATCH ${PROJECT_VERSION_PATCH}
")

generate_export_header(${QXMPP_TARGET}
    BASE_NAME qxmpp
    CUSTOM_CONTENT_FROM_VARIABLE QXMPP_CUSTOM_EXPORT_CONTENT
)

install(
    TARGETS ${QXMPP_TARGET}
    EXPORT QXmppTarget
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(
    EXPORT QXmppTarget
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${QXMPP_TARGET}"
    FILE QXmpp.cmake
    NAMESPACE QXmpp::
    COMPONENT Devel
)

export(
    TARGETS ${QXMPP_TARGET}
    FILE QXmpp.cmake
)

install(
    FILES ${INSTALL_HEADER_FILES} ${CMAKE_CURRENT_BINARY_DIR}/qxmpp_export.h
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QXMPP_TARGET}"
)

# submodules
if(BUILD_OMEMO)
    add_subdirectory(omemo)
endif()

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Niels Ole Salscheider <niels_ole@salscheider-online.de>
#
# SPDX-License-Identifier: CC0-1.0

include_directories(.)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Test)

macro(add_simple_test TEST_NAME)
    add_executable(tst_${TEST_NAME} ${TEST_NAME}/tst_${TEST_NAME}.cpp ${ARGN})
    add_test(tst_${TEST_NAME} tst_${TEST_NAME})
    target_link_libraries(tst_${TEST_NAME} Qt${QT_VERSION_MAJOR}::Test ${QXMPP_TARGET})
    if(BUILD_OMEMO)
        target_link_libraries(tst_${TEST_NAME} ${QXMPPOMEMO_TARGET})
    endif()
endmacro()

include_directories(${PROJECT_SOURCE_DIR}/src/base)
include_directories(${PROJECT_SOURCE_DIR}/src/client)
include_directories(${PROJECT_SOURCE_DIR}/src/omemo)
include_directories(${PROJECT_SOURCE_DIR}/src/server)
include_directories(${PROJECT_BINARY_DIR}/src)
include_directories(${PROJECT_BINARY_DIR}/src/omemo)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_simple_test(qxmpparchiveiq)
add_simple_test(qxmppatmmanager)
add_simple_test(qxmppattentionmanager)
add_simple_test(qxmppbindiq)
add_simple_test(qxmppbitsofbinarycontentid)
add_simple_test(qxmppbitsofbinaryiq)
add_simple_test(qxmppcarbonmanager)
add_simple_test(qxmppclient)
add_simple_test(qxmppdataform)
add_simple_test(qxmppdiscoveryiq)
add_simple_test(qxmppdiscoverymanager TestClient.h)
add_simple_test(qxmppentitytimeiq)
add_simple_test(qxmppentitytimemanager TestClient.h)
add_simple_test(qxmpphttpuploadiq)
add_simple_test(qxmppiceconnection)
add_simple_test(qxmppiq)
add_simple_test(qxmppjingleiq)
add_simple_test(qxmppmammanager)
add_simple_test(qxmppmixinvitation)
add_simple_test(qxmppmixitems)
add_simple_test(qxmppmessage)
add_simple_test(qxmppmessagereaction)
add_simple_test(qxmppmessagereceiptmanager)
add_simple_test(qxmppmixiq)
add_simple_test(qxmppnonsaslauthiq)
add_simple_test(qxmppoutgoingclient)
add_simple_test(qxmpppushenableiq)
add_simple_test(qxmpppresence)
add_simple_test(qxmpppubsub)
add_simple_test(qxmpppubsubevent)
add_simple_test(qxmpppubsubforms)
add_simple_test(qxmpppubsubiq)
add_simple_test(qxmpppubsubmanager TestClient.h)
add_simple_test(qxmppregisteriq)
add_simple_test(qxmppregistrationmanager)
add_simple_test(qxmppresultset)
add_simple_test(qxmpprosteriq)
add_simple_test(qxmpprostermanager TestClient.h)
add_simple_test(qxmpprpciq)
add_simple_test(qxmppsceenvelope)
add_simple_test(qxmppserver)
add_simple_test(qxmppsessioniq)
add_simple_test(qxmppsocks)
add_simple_test(qxmppstanza)
add_simple_test(qxmppstarttlspacket)
add_simple_test(qxmppstream)
add_simple_test(qxmppstreamfeatures)
add_simple_test(qxmppstunmessage)
add_simple_test(qxmpptrustmessages)
add_simple_test(qxmpptrustmemorystorage)
add_simple_test(qxmppuserlocationmanager TestClient.h)
add_simple_test(qxmppusertunemanager TestClient.h)
add_simple_test(qxmppvcardiq)
add_simple_test(qxmppvcardmanager)
add_simple_test(qxmppversioniq)
add_simple_test(qxmppversionmanager TestClient.h)

if(WITH_QCA)
    add_simple_test(qxmppfileencryption)
endif()

if(WITH_GSTREAMER)
    add_simple_test(qxmppcallmanager)
endif()

if(BUILD_OMEMO)
    if(BUILD_INTERNAL_TESTS)
        add_simple_test(qxmppomemodata)
    endif()
    add_simple_test(qxmppomemomemorystorage)

    add_simple_test(qxmppomemomanager)
    target_link_libraries(tst_qxmppomemomanager PkgConfig::OmemoC qca-qt${QT_VERSION_MAJOR})
endif()

if(BUILD_INTERNAL_TESTS)
    add_simple_test(qxmppsasl)
    add_simple_test(qxmppstreaminitiationiq)
endif()

add_subdirectory(qxmpptransfermanager)
add_subdirectory(qxmpputils)
add_subdirectory(qxmpphttpuploadmanager)

=== examples/example_9_vCard/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Niels Ole Salscheider <niels_ole@salscheider-online.de>
#
# SPDX-License-Identifier: CC0-1.0

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui)

add_executable(9_vCard example_9_vCard.cpp)
target_link_libraries(9_vCard Qt${QT_VERSION_MAJOR}::Gui ${QXMPP_TARGET})

=== src/omemo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Linus Jahn <lnj@kaidan.im>
#
# SPDX-License-Identifier: CC0-1.0

include(CMakePackageConfigHelpers)

set(OMEMO_CMAKE_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/${QXMPPOMEMO_TARGET}")
set(OMEMO_HEADER_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/${QXMPP_TARGET}/Omemo")
set(OMEMO_INSTALL_HEADER_FILES
    QXmppOmemoManager.h
    QXmppOmemoMemoryStorage.h
    QXmppOmemoStorage.h
)
set(OMEMO_SOURCE_FILES
    OmemoCryptoProvider.cpp
    QXmppOmemoData.cpp
    QXmppOmemoManager.cpp
    QXmppOmemoManager_p.cpp
    QXmppOmemoMemoryStorage.cpp
    QXmppOmemoStorage.cpp
)

if(BUILD_SHARED)
    add_library(${QXMPPOMEMO_TARGET} SHARED ${OMEMO_SOURCE_FILES})
else()
    add_library(${QXMPPOMEMO_TARGET} STATIC ${OMEMO_SOURCE_FILES})
endif()

target_link_libraries(${QXMPPOMEMO_TARGET}
    PUBLIC
    ${QXMPP_TARGET}
    Qt${QT_VERSION_MAJOR}::Core
    PRIVATE
    PkgConfig::OmemoC
    qca-qt${QT_VERSION_MAJOR}
)
target_include_directories(${QXMPPOMEMO_TARGET}
    PUBLIC
    ${OMEMO_HEADER_DIR}
    PRIVATE
    ${CMAKE_CURRENT_LIST_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PROJECT_BINARY_DIR}/src
)

generate_export_header(${QXMPPOMEMO_TARGET} BASE_NAME qxmppomemo)

install(
    FILES ${OMEMO_INSTALL_HEADER_FILES} ${CMAKE_CURRENT_BINARY_DIR}/qxmppomemo_export.h
    DESTINATION ${OMEMO_HEADER_DIR}
)

set_target_properties(${QXMPPOMEMO_TARGET} PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${SO_VERSION}
    EXPORT_NAME Omemo
)

install(
    TARGETS ${QXMPPOMEMO_TARGET}
    EXPORT QXmppOmemoTargets
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(
    EXPORT QXmppOmemoTargets
    DESTINATION ${OMEMO_CMAKE_DIR}
    FILE QXmppOmemo.cmake
    NAMESPACE QXmpp::
    COMPONENT Devel
)

export(
    TARGETS ${QXMPPOMEMO_TARGET}
    FILE QXmppOmemo.cmake
)

configure_package_config_file(
    QXmppOmemoConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${QXMPPOMEMO_TARGET}Config.cmake
    INSTALL_DESTINATION ${OMEMO_CMAKE_DIR}
)

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/${QXMPPOMEMO_TARGET}ConfigVersion.cmake
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY SameMajorVersion
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${QXMPPOMEMO_TARGET}Config.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/${QXMPPOMEMO_TARGET}ConfigVersion.cmake
    DESTINATION ${OMEMO_CMAKE_DIR}
    COMPONENT Devel
)

=== debian/changelog ===
qxmpp (1.5.5-0.4build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Apr 2024 11:25:51 +0100

qxmpp (1.5.5-0.4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:07:44 +0000

qxmpp (1.5.5-0.4build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:59:23 +0000

qxmpp (1.5.5-0.4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:34:25 +0000

qxmpp (1.5.5-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062768

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 22:41:32 +0000

qxmpp (1.5.5-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 09:36:15 +0100

qxmpp (1.5.5-0.2~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Pass -DBUILD_EXAMPLES=OFF to cmake to disable the build of the examples,
    as they are not used.
  * Enable the OMEMO support, needed by Kaidan:
    - pass -DBUILD_OMEMO=ON, and -DWITH_QCA=ON to cmake
    - add the libomemo-c-dev, and libqca-qt5-2-dev build dependencies
    - add a new library package libqxmppomemoqt5-4
    - install the new files in libqxmppqt5-dev
  * Make the .install files for library packages more precise, to avoid
    unexpected SONAME bumps.
  * Explicitly add the pkg-config build dependency.
  * Add libqxmpp-dev back as transitional package for libqxmppqt5-dev.
  * Add proper breaks/replaces in libqxmppqt5-dev for the renaming from
    libqxmpp-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Nov 2023 09:14:07 +0100

qxmpp (1.5.5-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.5.5. (See #1039055)
    + Bump SONAME from 3 to 4.
  * debian/*: Rename library package:
    + libqxmpp-dev => libqxmppqt5-dev
    + libqxmpp3 => libqxmppqt5-4
  * debian/copyright: update license information.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 Oct 2023 09:03:57 -0400

=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>, Boris Pek <tehnick@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               libgstreamer1.0-dev,
               libomemo-c-dev,
               libqca-qt5-2-dev,
               pkg-config,
               qtbase5-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/qxmpp-project/qxmpp
Vcs-Git: https://salsa.debian.org/xmpp-team/qxmpp.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/qxmpp

Package: libqxmppqt5-4t64
Provides: ${t64:Provides}
Architecture: any
Replaces: libqxmppqt5-4, libqxmpp0, libqxmpp1, libqxmpp2
Breaks: libqxmppqt5-4 (<< ${source:Version}), libqxmpp0, libqxmpp1, libqxmpp2
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmppomemoqt5-4t64
Provides: ${t64:Provides}
Replaces: libqxmppomemoqt5-4
Breaks: libqxmppomemoqt5-4 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: QXmppOmemo library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the OMEMO shared library.

Package: libqxmppqt5-dev
Section: libdevel
Architecture: any
Depends: libgstreamer1.0-dev,
         libqxmppomemoqt5-4t64 (= ${binary:Version}),
         libqxmppqt5-4t64 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Breaks: libqxmpp-dev (<< 1.5.5-0.1~exp1~),
Replaces: libqxmpp-dev (<< 1.5.5-0.1~exp1~),
Suggests: libqxmpp-doc
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: lynx | www-browser, ${misc:Depends}
Suggests: libqxmppqt5-dev
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.

Package: libqxmpp-dev
Section: oldlibs
Architecture: any
Depends: libqxmppqt5-dev (>= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: transitional package for libqxmppqt5-dev
 This package is a transitional dummy package used to switch to
 libqxmppqt5-dev.
 .
 It can be safely removed after the upgrade.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKEOPTS = -DBUILD_DOCUMENTATION=ON \
            -DBUILD_EXAMPLES=OFF \
            -DBUILD_OMEMO=ON \
            -DWITH_QCA=ON \
            -DBUILD_TESTS=OFF \
            -DWITH_GSTREAMER=ON

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)

override_dh_installdocs:
	dh_installdocs
	dh_doxygen -i

.PHONY: override_dh_auto_test-indep

## qxmpp 1.9.4

=== debian/changelog ===
qxmpp (1.9.4-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Reupload source-only.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 10:42:45 +0100

qxmpp (1.9.4-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (1.9.4).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Adapt packaging to new Qt6 library sonames: libQXmppQt6 and
    libQXmppOmemoQt6.
  * Drop libqxmpp-dev transitional dummy package.
  * Drop obsolete Breaks/Replaces.
  * Bump Standards-Version to 4.7.0, no change required.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Feb 2025 17:35:01 +0100

=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>, Boris Pek <tehnick@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               cmake (>= 3.7~),
               doxygen,
               graphviz,
               libglib2.0-dev,
               libgstreamer1.0-dev,
               libomemo-c-dev,
               libprotobuf-c-dev,
               libqca-qt6-dev,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/qxmpp-project/qxmpp
Vcs-Git: https://salsa.debian.org/xmpp-team/qxmpp.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/qxmpp

Package: libqxmppqt6-5
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmppomemoqt6-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: QXmppOmemo library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the OMEMO shared library.

Package: libqxmppqt6-dev
Section: libdevel
Architecture: any
Depends: libgstreamer1.0-dev,
         libqxmppomemoqt6-5 (= ${binary:Version}),
         libqxmppqt6-5 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqxmpp-dev (<< 1.5.5-0.1~exp1~),
Replaces: libqxmpp-dev (<< 1.5.5-0.1~exp1~),
Suggests: libqxmpp-doc,
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: lynx | www-browser, ${misc:Depends},
Suggests: libqxmppqt6-dev,
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.

## qxmpp 1.10.1

=== debian/changelog ===
qxmpp (1.10.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (1.10.1).
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove library file name for no-symbols-control-file lintian
    override for libqxmppomemoqt6-5 so we don’t need to update it with
    every new release.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 14 Mar 2025 22:33:26 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                pkgconf,
                qt6-5compat-dev,
                qt6-base-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/qxmpp-project/qxmpp
 Vcs-Git: https://salsa.debian.org/xmpp-team/qxmpp.git

## qxmpp 1.10.3

=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Niels Ole Salscheider <niels_ole@salscheider-online.de>
#
# SPDX-License-Identifier: CC0-1.0

macro(add_simple_example EXAMPLE_NAME)
    add_executable(${EXAMPLE_NAME} example_${EXAMPLE_NAME}/example_${EXAMPLE_NAME}.cpp)
    target_link_libraries(${EXAMPLE_NAME} ${QXMPP_TARGET})
endmacro()

include_directories(${PROJECT_SOURCE_DIR}/src/base)
include_directories(${PROJECT_SOURCE_DIR}/src/client)
include_directories(${PROJECT_SOURCE_DIR}/src/server)
include_directories(${PROJECT_BINARY_DIR}/src)

add_simple_example(0_connected)
add_simple_example(1_echoClient)
add_simple_example(2_rosterHandling)
add_simple_example(3_transferHandling)
add_simple_example(7_archiveHandling)
add_simple_example(8_server)

add_subdirectory(example_5_rpcInterface)
add_subdirectory(example_6_rpcClient)
add_subdirectory(example_9_vCard)

=== examples/example_6_rpcClient/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Niels Ole Salscheider <niels_ole@salscheider-online.de>
#
# SPDX-License-Identifier: CC0-1.0

add_executable(6_rpcClient main.cpp rpcClient.cpp)
target_link_libraries(6_rpcClient ${QXMPP_TARGET})

=== src/omemo/CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
     qca-qt${QT_VERSION_MAJOR}
 )
 target_include_directories(${QXMPPOMEMO_TARGET}
-    PUBLIC
+    INTERFACE
     ${OMEMO_HEADER_DIR}
     PRIVATE
     ${CMAKE_CURRENT_LIST_DIR}

=== tests/qxmpphttpuploadmanager/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Yury Gubich <blue@macaw.me>
#
# SPDX-License-Identifier: CC0-1.0

include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_executable(tst_qxmpphttpuploadmanager tst_qxmpphttpuploadmanager.cpp tst_qxmpphttpuploadmanager.qrc ../TestClient.h)
add_test(tst_qxmpphttpuploadmanager tst_qxmpphttpuploadmanager)
target_link_libraries(tst_qxmpphttpuploadmanager Qt${QT_VERSION_MAJOR}::Test ${QXMPP_TARGET})

=== debian/changelog ===
qxmpp (1.10.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (1.10.3).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 23 Mar 2025 18:48:21 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                qt6-base-dev,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://github.com/qxmpp-project/qxmpp
+Homepage: https://invent.kde.org/libraries/qxmpp
 Vcs-Git: https://salsa.debian.org/xmpp-team/qxmpp.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/qxmpp

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CMAKEOPTS = -DBUILD_DOCUMENTATION=ON \
+CMAKEOPTS = -DQT_MAJOR_VERSION=6 \
+            -DBUILD_DOCUMENTATION=ON \
             -DBUILD_EXAMPLES=OFF \
             -DBUILD_OMEMO=ON \
             -DWITH_QCA=ON \

=== debian/watch ===
version=4
https://github.com/qxmpp-project/qxmpp/tags \
.*/qxmpp-project/qxmpp/archive/refs/tags/v(.+)\.tar\.gz \
debian uupdate

## qxmpp 1.10.4

=== debian/changelog ===
qxmpp (1.10.4-0zneon+24.04+noble+release+build11) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 21 Jul 2025 04:14:29 +0000

qxmpp (1.10.4-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Mon, 31 Mar 2025 14:14:14 +1000
 

qxmpp (1.10.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Mon, 31 Mar 2025 14:14:14 +1000

qxmpp (1.10.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 20 Mar 2025 15:27:18 +1000

qxmpp (1.10.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 20 Mar 2025 09:25:31 +1000

qxmpp (1.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 25 Feb 2025 06:49:14 +1000

qxmpp (1.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 03 Sep 2024 07:57:17 +1000

qxmpp (1.7.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 27 Jul 2024 12:39:20 +1000

qxmpp (1.6.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 02 Apr 2024 14:09:48 +1100

qxmpp (1.5.5-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 18 May 2023 11:37:39 +1000

qxmpp (1.5.2-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 03 Mar 2023 08:10:20 +1000

qxmpp (1.5.1-0ppa1~lunar1) lunar; urgency=medium

  * New upstream release.

 -- Boris Pek <tehnick@debian.org>  Thu, 02 Feb 2023 03:09:31 +0300

qxmpp (1.4.0-0ppa1~hirsute1) hirsute; urgency=medium

  * New upstream release.

 -- Boris Pek <tehnick@debian.org>  Mon, 15 Mar 2021 21:42:11 +0300

qxmpp (1.3.2-2ppa1~hirsute1) hirsute; urgency=medium

  * Sync with package in Debian.
  * Decrease debhelper-compat version to 11.

 -- Boris Pek <tehnick@debian.org>  Sun, 10 Jan 2021 01:29:02 +0300

=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>, Boris Pek <tehnick@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               libgstreamer1.0-dev,
               libomemo-c-dev,
               libqca-qt5-2-dev,
               libqca-qt6-2-dev,
               qt6-5compat-dev,
               qt6-base-dev,
               qtbase5-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/qxmpp-project/qxmpp
Vcs-Git: https://invent.kde.org/neon/backports-noble/qxmpp-noble.git
Vcs-Browser: https://invent.kde.org/neon/backports-noble/qxmpp-noble
Maintainer: Neon CI <neon@kde.org>

Package: libqxmpp5
Architecture: any
Replaces: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4
Breaks: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt5. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmpp-dev
Section: libdevel
Architecture: any
Depends: libgstreamer1.0-dev,
         libqxmpp5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Suggests: libqxmpp-doc
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp5-qt6
Architecture: any
Replaces: libqxmpp4-qt6
Breaks: libqxmpp4-qt6
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt6. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmpp-qt6-dev
Section: libdevel
Architecture: any
Depends: libgstreamer1.0-dev,
         libqxmpp5-qt6 (= ${binary:Version}),
         qt6-5compat-dev,
         qt6-base-dev,
         ${misc:Depends}
Suggests: libqxmpp-doc
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt6. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: lynx | www-browser, ${misc:Depends}
Suggests: libqxmpp-dev
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.

Package: libqxmppomemoqt5-4t64
Section: oldlibs
Priority: extra
Architecture: all
Depends: libqxmpp5, ${misc:Depends}
Description: Dummy transitional
 Empty package

Package: libqxmppqt5-4t64
Section: oldlibs
Priority: extra
Architecture: all
Depends: libqxmpp5, ${misc:Depends}
Description: Dummy transitional
 Empty package

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKEOPTS = -DBUILD_DOCUMENTATION=ON \
            -DBUILD_EXAMPLES=ON \
            -DBUILD_TESTS=OFF \
            -DWITH_GSTREAMER=ON \
            -DBUILD_OMEMO=ON

%:
	dh $@ --with pkgkde_symbolshelper

execute_after_dh_auto_clean:
	rm -rf build-Qt6

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS) -DQT_VERSION_MAJOR=5
	dh_auto_configure --builddirectory=build-Qt6 -- $(CMAKEOPTS) -DQT_VERSION_MAJOR=6

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-Qt6

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-Qt6

override_dh_installdocs:
	dh_installdocs
	dh_doxygen -i

.PHONY: override_dh_auto_test-indep

## qxmpp 1.12.0

=== debian/changelog ===
qxmpp (1.12.0-0zneon+24.04+noble+release+build13) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 01:27:56 +0000

qxmpp (1.12.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 03 Dec 2025 09:57:11 +1000

=== debian/control ===
--- 
+++ 
@@ -20,10 +20,10 @@
 Vcs-Browser: https://invent.kde.org/neon/backports-noble/qxmpp-noble
 Maintainer: Neon CI <neon@kde.org>
 
-Package: libqxmpp5
+Package: libqxmpp7
 Architecture: any
-Replaces: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4
-Breaks: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4
+Replaces: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4, libqxmpp5, libqxmpp6
+Breaks: libqxmpp1, libqxmpp2, libqxmpp3, libqxmpp4, libqxmpp5, libqxmpp6
 Depends: gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
          gstreamer1.0-plugins-ugly,
@@ -40,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Depends: libgstreamer1.0-dev,
-         libqxmpp5 (= ${binary:Version}),
+         libqxmpp7 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends}
 Suggests: libqxmpp-doc
@@ -51,10 +51,10 @@
  .
  This package contains the development headers and libraries.
 
-Package: libqxmpp5-qt6
+Package: libqxmpp7-qt6
 Architecture: any
-Replaces: libqxmpp4-qt6
-Breaks: libqxmpp4-qt6
+Breaks: libqxmpp4-qt6, libqxmpp5-qt6, libqxmpp6-qt6
+Replaces: libqxmpp4-qt6, libqxmpp5-qt6, libqxmpp6-qt6
 Depends: gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
          gstreamer1.0-plugins-ugly,
@@ -71,7 +71,7 @@
 Section: libdevel
 Architecture: any
 Depends: libgstreamer1.0-dev,
-         libqxmpp5-qt6 (= ${binary:Version}),
+         libqxmpp7-qt6 (= ${binary:Version}),
          qt6-5compat-dev,
          qt6-base-dev,
          ${misc:Depends}
@@ -98,7 +98,7 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: libqxmpp5, ${misc:Depends}
+Depends: libqxmpp7, ${misc:Depends}
 Description: Dummy transitional
  Empty package
 
@@ -106,6 +106,6 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: libqxmpp5, ${misc:Depends}
+Depends: libqxmpp7, ${misc:Depends}
 Description: Dummy transitional
  Empty package

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	rm -rf build-Qt6
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CMAKEOPTS) -DQT_VERSION_MAJOR=5
-	dh_auto_configure --builddirectory=build-Qt6 -- $(CMAKEOPTS) -DQT_VERSION_MAJOR=6
+	dh_auto_configure -- $(CMAKEOPTS) -DBUILD_WITH_QT6=OFF -DQT_VERSION_MAJOR=5
+	dh_auto_configure --builddirectory=build-Qt6 -- $(CMAKEOPTS) -DBUILD_WITH_QT6=ON -DQT_VERSION_MAJOR=6
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/unstable/@PACKAGE@/@PACKAGE@-([\d.]+).tar.xz
